Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/librdkafka: new aport

From: Bennett Goble <nivardus_at_gmail.com>
Date: Wed, 15 Jun 2016 22:01:12 -0700

https://github.com/edenhill/librdkafka
The Apache Kafka C/C++ library
---
 testing/librdkafka/APKBUILD | 37 +++++++++++++++++++++++++++++++++++++
 1 file changed, 37 insertions(+)
 create mode 100644 testing/librdkafka/APKBUILD
diff --git a/testing/librdkafka/APKBUILD b/testing/librdkafka/APKBUILD
new file mode 100644
index 0000000..a8e8a5c
--- /dev/null
+++ b/testing/librdkafka/APKBUILD
_at_@ -0,0 +1,37 @@
+# Contributor: Bennett Goble <nivardus_at_gmail.com>
+# Maintainer: Bennett Goble <nivardus_at_gmail.com>
+pkgname=librdkafka
+pkgver=0.9.1
+pkgrel=0
+pkgdesc="The Apache Kafka C/C++ library"
+url="https://github.com/edenhill/librdkafka"
+arch="all"
+license="BSD"
+depends=""
+depends_dev=""
+makedepends="$depends_dev openssl-dev python zlib-dev"
+subpackages="$pkgname-dev"
+source="$pkgname-$pkgver.tar.gz::https://github.com/edenhill/$pkgname/archive/$pkgver.tar.gz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+
+prepare() {
+	cd "$_builddir"
+	./configure \
+		--prefix=/usr \
+		|| return 1
+}
+
+build() {
+	cd "$_builddir"
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="feb25faed02815f60ff363b2f40ba1b9  librdkafka-0.9.1.tar.gz"
+sha256sums="5ad57e0c9a4ec8121e19f13f05bacc41556489dfe8f46ff509af567fdee98d82  librdkafka-0.9.1.tar.gz"
+sha512sums="d2023cc6f976ad7440b25cffd1b59587f6497febd7ac1a6d76eb7799d294210f20170063fe25f2eb1eb3cc373df791526d1bc8d0ffbb0bef4519dae89b177147  librdkafka-0.9.1.tar.gz"
-- 
2.6.6
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Wed Jun 15 2016 - 22:01:12 GMT